summaryrefslogtreecommitdiff
path: root/private/postfix-pgsql/postfix-pgsql.SlackBuild
diff options
context:
space:
mode:
authorEugen Wissner <belka@caraus.de>2020-12-09 18:28:42 +0100
committerEugen Wissner <belka@caraus.de>2020-12-09 18:28:42 +0100
commit2910a89d6c59b997a3896f05c6ad7fb65c26f813 (patch)
tree3d3edebdf32b0c972e8449b82be2c10742395d6c /private/postfix-pgsql/postfix-pgsql.SlackBuild
parentbe64bc6dbb9d0f717f7cbdd83d9371de979d4c63 (diff)
downloadslackbuilder-2910a89d6c59b997a3896f05c6ad7fb65c26f813.tar.gz
Add autoupdater
Diffstat (limited to 'private/postfix-pgsql/postfix-pgsql.SlackBuild')
-rwxr-xr-xprivate/postfix-pgsql/postfix-pgsql.SlackBuild115
1 files changed, 115 insertions, 0 deletions
diff --git a/private/postfix-pgsql/postfix-pgsql.SlackBuild b/private/postfix-pgsql/postfix-pgsql.SlackBuild
new file mode 100755
index 0000000..b60c52b
--- /dev/null
+++ b/private/postfix-pgsql/postfix-pgsql.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+#
+# Copyright 2006, 2011 Alan Hicks, Lizella, GA
+# Copyright 2010, 2011, 2013, 2014, 2015, 2016, 2017 Mario Preksavec, Zagreb, Croatia
+# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2020 Eugen Wissner, Dachau, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=postfix-pgsql
+VERSION=${VERSION:-3.5.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRCNAM=postfix
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+# Fix postfix-script so that it won't think a symlink in /etc/postfix is
+# group writable. Only warn about regular files there.
+patch -p1 --verbose -i $CWD/postfix.only.warn.regular.files.diff
+
+# Make the postfix startup message look more like the other boot notices:
+patch -p1 --verbose -i $CWD/postfix.script.starting.message.diff
+
+PGSQLARGS="-I/usr/include/postgresql -DHAS_PGSQL"
+
+### CHANGING BUILT-IN DOCUMENTATION PATH SETTINGS
+#
+# If we try to use postfix-$VERSION in any of these paths, we'll get a compile
+# failure: "error: too many decimal points in number"
+# So we're pretty much forced to leave things as postfix expects them.
+PATHARGS="'-DDEF_HTML_DIR=\"/usr/doc/postfix/html\"' \
+ '-DDEF_MANPAGE_DIR=\"/usr/man\"' \
+ '-DDEF_README_DIR=\"/usr/doc/postfix/readme\"'"
+
+make makefiles dynamicmaps=yes pie=yes shared=yes \
+ shlib_directory=/usr/lib${LIBDIRSUFFIX}/postfix/MAIL_VERSION \
+ CCARGS="$PGSQLARGS $PATHARGS" \
+ AUXLIBS_PGSQL="-L/usr/lib${LIBDIRSUFFIX}/postgresql/12/lib -lpq -lz -lm" \
+ OPT="$SLKCFLAGS" DEBUG=""
+make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/postfix/$VERSION
+cp -a lib/postfix-pgsql.so $PKG/usr/lib${LIBDIRSUFFIX}/postfix/$VERSION/
+
+strip --strip-unneeded $PKG/usr/lib${LIBDIRSUFFIX}/postfix/$VERSION/postfix-pgsql.so
+
+mkdir -p $PKG/etc/postfix/dynamicmaps.cf.d
+echo "pgsql postfix-pgsql.so dict_pgsql_open" > $PKG/etc/postfix/dynamicmaps.cf.d/pgsql.cf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}